## dods.dap
Interface StatusUI

public interface StatusUI

This interface is implemented by DODS client user interfaces which give feedback to the user on the status of the current deserialize operation. The user can also cancel the current deserialize through this interface.

See Also:
  `DataDDS`

Method Summary
`void` `finished()` Download finished notice.
`void` `incrementByteCount(int bytes)` Add bytes to the total deserialize count.
`boolean` `userCancelled()` User cancellation status.

Method Detail

### incrementByteCount

    public void incrementByteCount(int bytes)

  Add bytes to the total deserialize count. This is called by each `BaseType`'s `deserialize` method to provide the user with feedback on the number of bytes that have been transferred so far. If some future version of DODS provides a correct Content-Length, then a sophisticated GUI could use this information to estimate the time remaining to download.

  Parameters:
    `bytes` - the number of bytes to add.

### userCancelled

    public boolean userCancelled()

  User cancellation status. This returns true when the user has clicked the cancel button of a GUI, or false if the download should proceed. This is called at various cancellation points throughout the deserialize process so that the download can be cancelled in an orderly fashion.

  Returns:
    true if the download should be cancelled.

### finished

    public void finished()

  Download finished notice. This allows the GUI to close itself or print a message to the user that the transfer is finished.